@Echo off
 set JobMgr_TcUser=%~1
 set JobMgr_TcPw=%~2

 set CmdCurRoot_DP=%~dp0
 set CmdCurRoot_DP=%CmdCurRoot_DP:~0,-1%


 Call Echo "**************************************************************************"
 Call Echo "* NxPartUtilCustomStart.cmd PLMJobMgr Script for NX Continues Release    *"
 Call Echo "* Based on Version: 04.11.2024 (c)addPLM GmbH                            *"
 Call Echo "**************************************************************************"

 REM -- define incudes
 set JobMgr_10-JobScriptsInc_01=_JobMgrDefaults
 set JobMgr_10-JobScriptsInc_02=_CustomDefaults\TcPrompt

 REM -- #Doc: 07.07.2016/J.Fes Use to process 'SO SiteObjects' as 'RO ReplicaObjects'
 rem if not defined JobMgr_NxPuUse_for_SO_RO set JobMgr_NxPuUse_for_SO_RO=YES

 REM -- #Doc: disable TC_SHARED_MEMORY_DIR
 set TC_SHARED_MEMORY_DIR_Disable=true

 REM -- #Doc: Inits all Basics of Job
 Call "%~dp0_JobInitial.cmd" "NxPartUtil.NX2306" "YES" "YES" "YES" "NO" "NO"

 REM -- set TC Prompt for Custom
 set TCPrompt_Custom_Opt=NX2306

 set titleTxt=Job:[%JobName%][%TcSiteId%][%Date% %time:~0,5%][\\%ComputerName%]
 title %titleTxt%

 rem set TcSiteIdTarget=%TcSiteId%
 REM set JobMgr_TC_tier_ModeUse=2tier
 if exist "%TCPrompt_Custom_DPNE%" Call "%TCPrompt_Custom_DPNE%"
 if "%JobMgr_TCPromptGet_ResCode%" equ "0" Call "%CmdCurRoot_DP%\NxPartUtilExecute.cmd" "%JobMgr_TcUser%" "%JobMgr_TcPW%" "dba"


 REM -- #Doc: ends the Job
 Call "%~dp0_JobFinish.cmd"

